BI semantic model connections from Excel require that you have Excel 2010 and the MSOLAP.5 OLE DB provider installed on your workstation

For connections to succeed you must have Excel 2010 and the MSOLAP.5.dll installed on the client computer. You can get the provider by installing the version of PowerPivot for Excel that is current for this release or you can download just the Analysis Services OLE DB provider from the Feature Pack download page.

To confirm that MSOLAP.5.dll is the current version, check HKEY_CLASSES_ROOT\MSOLAP in the registry. CurVer should be set to MSOLAP.5. Also, copy the CLSID of the MSOLAP.5 provider.